<?PHP
/**
 * This file serves the HTML output of the main about page.
 */
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Load required files and ensure environment.

require_once __DIR__ . "/functions.php";
require_once __DIR__ . "/htmlToTeX.php";

ensureEnvironment();

if (!isset($_GET['t']) or $_GET['t'] == "about") {
    $sourceFolder  = "contents";
    $sourceFile    = "brochure";
    $sourceTeXFile = "contentsFrontend";
}
else if (!isset($_GET['t']) or $_GET['t'] == "press") {
    $sourceFolder  = "press";
    $sourceFile    = "press_review";
    $sourceTeXFile = "contentsIntroductionPress";
}

// Find out current language

$availableLangs = scanDirConts(__DIR__ . "/$sourceFolder"); // Those languages are available, for which there are files
foreach ($availableLangs as $key => $value) {
    $availableLangs[$key] = str_replace(".htm", "", $value);
}

if (isset($_GET['lang'])) $lang = $_GET['lang'];
else $lang = lang_getfrombrowser($availableLangs, 'de', null, false);

// Load HTML document to PHP DOMDocument

$content = new DOMDocument();
$content->load(__DIR__ . "/$sourceFolder/$lang.htm");

// Find out title

$title = $content->getElementsByTagName("h1")[0]->nodeValue;
$bgImg = $content->getElementsByTagName("h1")[0]->getAttribute("data-bgimage");

// Generate PDF if need be.

if (filemtime(__DIR__ . "/tex/$lang/$sourceTeXFile.tex") < filemtime(__DIR__ . "/$sourceFolder/$lang.htm")) {

    foreach ($content->getElementsByTagName("section") as $c) {
        DOMtoTeX($c, "tex/$lang");
    }
    runPDF("tex/$lang", "$sourceFile", "$sourceFile", ["title" => $title, "bgImg" => $bgImg], $lang, true);

}

// Print HTML page.

$content = file_get_contents(__DIR__ . "/$sourceFolder/$lang.htm");

$content = str_replace("\\today", date("Y-m-d", filemtime(__DIR__ . "/$sourceFolder/$lang.htm")), $content);

echo printHTMLPage("about:" . $title, $content, $lang, $availableLangs, "", $sourceFile);

